develooper Front page | perl.perl5.porters | Postings from September 2018

version PATH problem?

From:
H.Merijn Brand
Date:
September 24, 2018 06:15
Subject:
version PATH problem?
Message ID:
20180924081429.4c6691b9@pc09.procura.nl
My smoke folder is cleared based on the MANIFEST before each run. So,
if there is a Makefile, first run «make distclean» and then clean out
all that is not in the MANIFEST and not known to be part of Configure
process stuff. My smoke runs from rsync, not from git

On HP-UX 11.31 I see since v5.29.3-12-g51cfb416c2 a full FAIL with an
error message like this in the log


Perl API version v5.29.4 of Cwd does not match v5.29.3 at lib/XSLoader.pm line 111.
Compilation failed in require at lib/File/Spec/Unix.pm line 4.
BEGIN failed--compilation aborted at lib/File/Spec/Unix.pm line 4.
Compilation failed in require at lib/File/Spec.pm line 21.
Compilation failed in require at pod/buildtoc line 4.
BEGIN failed--compilation aborted at pod/buildtoc line 4.
make: *** [pod/perltoc.pod] Error 255
[2018-09-24 00:41:43+0200] Unable to make anything but miniperl in this configuration
[2018-09-24 00:41:43+0200] TSTENV = minitest
/bin/sh: /dev/tty: Cannot find or open the file.
make: [minitest] Error 1 (ignored)

http://perl5.test-smoke.org/report/70926
http://perl5.test-smoke.org/logfile/70926 (line ±4449)

-- 
H.Merijn Brand  http://tux.nl   Perl Monger  http://amsterdam.pm.org/
using perl5.00307 .. 5.29   porting perl5 on HP-UX, AIX, and openSUSE
http://mirrors.develooper.com/hpux/        http://www.test-smoke.org/
http://qa.perl.org   http://www.goldmark.org/jeff/stupid-disclaimers/



nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About